import time
from datetime import datetime

from .abc import ThreadedLabel

class ClockLabel(ThreadedLabel):

    def task(self):
        now = datetime.now()
        day_of_week = now.strftime("%A")
        time_str = now.strftime("%H:%M:%S")
        date_str = now.strftime("%Y-%m-%d")
        label_text = f"{day_of_week}, {date_str} - {time_str}"
        try: self.config(text=label_text)
        except RuntimeError: pass
        time.sleep(0.5)